#
# Conditional builds:
%bcond_without	ldap	# without LDAP plugin
#
Summary:	GnuPG - GNU Privacy Guard - tool for secure communication and data storage
Summary(cs.UTF-8):	GNU nástroj pro šifrovanou komunikaci a bezpečné ukládání dat
Summary(es.UTF-8):	Criptografía con llaves públicas (asimétricas). GPL
Summary(ja.UTF-8):	セキュアなコミュニケーションとデータ保存のための GNU ユーティリティ。
Summary(pl.UTF-8):	GnuPG - narzędzie do bezpiecznej komunikacji i bezpiecznego przechowywania danych
Summary(pt_BR.UTF-8):	Criptografia com chaves públicas (assimétricas). GPL
Summary(ru.UTF-8):	GNU Privacy Guard - свободная замена PGP
Summary(uk.UTF-8):	GNU Privacy Guard - вільна заміна PGP
Summary(zh_CN.UTF-8):	GPL的PGP加密程序
Name:		gnupg
Version:	1.4.23
Release:	3
License:	GPL v3+
Group:		Applications/File
Source0:	ftp://ftp.gnupg.org/gcrypt/gnupg/%{name}-%{version}.tar.bz2
# Source0-md5:	b1df02c73572f27bc859ac05ff2259ab
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-fix.patch
URL:		http://www.gnupg.org/
BuildRequires:	automake >= 1:1.9.3
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	gettext-tools
BuildRequires:	libcap-devel
BuildRequires:	libusb-compat-devel
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	readline-devel
BuildRequires:	texinfo
BuildRequires:	zlib-devel
Provides:	pgp
Obsoletes:	gnupg-plugin-idea
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnuPG is GNU's tool for secure communication and data storage. It can
be used to encrypt data and to create digital signatures. It includes
an advanced key management facility and is compliant with the proposed
OpenPGP Internet standard as described in RFC2440.

%description -l cs.UTF-8
GnuPG je GNU nástroj pro bezpečnou komunikaci a ukládání dat. Může být
použit na šifrování dat a vytváření digitálních podpisů. Obsahuje
funkce pro pokročilou správu klíčů a vyhovuje navrhovanému OpenPGP
Internet standardu podle RFC2440. Byl vytvořen jako kompletní náhrada
za PGP. Protože neobsahuje šifrovací algoritmy IDEA nebo RSA, může být
používán bez omezení. Protože GnuPG nepoužívá žádný patentovaný
algoritmus, nemůže být úplně kompatibilní s PGP verze 2. PGP 2.x
používá algoritmy IDEA (patentováno celosvětově) a RSA (patentováno ve
Spojených státech do 20. září 2000). Tyto algoritmy lze zavést do
GnuPG pomocí externích modulů.

%description -l es.UTF-8
GnuPG es un sustituto completo y de libre distribución para PGP. Como
no utiliza IDEA y RSA, su uso no está restringido. Está casi
completamente de acuerdo con el borrador (draft) OpenPGP.

%description -l fr.UTF-8
GnuPG est un utilitaire GNU destiné à chiffrer des données et à créer
des signatures électroniques. Il a des capacités avancées de gestion
de clés et il est conforme à la norme proposée OpenPGP décrite dans la
RFC2440. Comme GnuPG n'utilise pas d'algorithme breveté, il n'est
compatible avec aucune version de PGP2 (PGP2.x ne sait utiliser que
l'IDEA breveté dans le monde entier et RSA, breveté aux États-Unis
jusqu'au 20 septembre 2000).

%description -l it.UTF-8
GnuPG (GNU Privacy Guard) è una utility GNU per la cifratura di dati e
la creazione di firme digitali. Possiede una gestione avanzata delle
chiavi ed è conforme allo standard Internet OpenPGP, descritto nella
RFC 2440. Non utilizzando algoritmi brevettati, non è compatibile con
PGP2 (PGP2.x usa solo IDEA, coperto da brevetto mondiale, ed RSA,
brevettato negli USA con scadenza 20/09/2000). Questi algoritmi sono
utilizzabili da GnuPG tramite moduli esterni.

%description -l ja.UTF-8
GnuPG (GNU Privacy Guard)
はデータの暗号化とディジタル署名の作成のための GNU
ユーティリティです。GnuPG は高度な鍵管理能力を持ち、 RFC2440
で記述されている OpenPGP インターネット標準の提案に適合しています。
GnuPG は特許アルゴリズムは使用していないので、PGP2
のあらゆるヴァージョン と互換性がありません。(PGP2.x は
世界的な特許である IDEA と、 2000年 9月20日まで USA での特許である RSA
のみを用いています)

%description -l pl.UTF-8
GnuPG (GNU Privacy Guard) jest narzędziem do bezpiecznej komunikacji i
bezpiecznego przechowywania danych. Może być używany do szyfrowania
oraz podpisywania danych. Umożliwia zaawansowane zarządzanie kluczami
i spełnia normy zdefiniowane w standardzie OpenPGP, który jest opisany
w RFC2440.

%description -l pt_BR.UTF-8
O GnuPG é um substituto completo e de livre distribuição para o PGP.
Como ele não usa IDEA e RSA seu uso é irrestrito. Está quase
completamente de acordo com o rascunho (draft) OpenPGP.

%description -l ru.UTF-8
GnuPG является полной и свободной заменой для PGP. Так как он не
использует ни IDEA, ни RSA, то на его использование не накладывается
никаких ограничений. GnuPG соответствует спецификации OpenPGP
(RFC2440).

%description -l uk.UTF-8
GnuPG є повною та вільною заміною PGP. Він не використовує ні IDEA,
ані RSA, так що на його застосування не накладається ніяких обмежень.
GnuPG відповідає специфікації OpenPGP (RFC2440).

%package plugin-keys_curl
Summary:	GnuPG plugin for allow talk to a HTTP/FTP keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG pozwalająca komunikować się z serwerem kluczy HTTP/FTP
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gnupg-plugin-keys_http

%description plugin-keys_curl
GnuPG plugin for allow talk to a HTTP(S)/FTP(S) keyserver.

%description plugin-keys_curl -l pl.UTF-8
Wtyczka GnuPG pozwalająca komunikować się z serwerem kluczy
HTTP(S)/FTP(S).

%package plugin-keys_finger
Summary:	GnuPG plugin for allow talk to a FINGER keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG pozwalająca komunikować się z serwerem kluczy FINGER
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description plugin-keys_finger
GnuPG plugin for allow talk to a FINGER keyserver.

%description plugin-keys_finger -l pl.UTF-8
Wtyczka GnuPG pozwalająca komunikować się z serwerem kluczy FINGER.

%package plugin-keys_hkp
Summary:	GnuPG plugin for allow talk to a HKP keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG pozwalająca komunikować się z serwerem kluczy HKP
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description plugin-keys_hkp
GnuPG plugin for allow talk to a HKP keyserver.

%description plugin-keys_hkp -l pl.UTF-8
Wtyczka GnuPG pozwalająca komunikować się z serwerem kluczy HKP.

%package plugin-keys_ldap
Summary:	GnuPG plugin for allow talk to a LDAP keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG pozwalająca komunikować się z serwerem kluczy LDAP
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description plugin-keys_ldap
GnuPG plugin for allow talk to a LDAP keyserver.

%description plugin-keys_ldap -l pl.UTF-8
Wtyczka GnuPG pozwalająca komunikować się z serwerem kluczy LDAP.

%package plugin-keys_mailto
Summary:	GnuPG plugin for allow talk to a email keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG pozwalająca komunikować się z e-mailowym serwerem kluczy
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description plugin-keys_mailto
GnuPG plugin for allow talk to a email keyserver.

%description plugin-keys_mailto -l pl.UTF-8
Wtyczka GnuPG pozwalająca komunikować się z e-mailowym serwerem
kluczy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__rm} po/stamp-po

%build
cp -f /usr/share/automake/config.sub scripts
%configure \
	--enable-ldap%{!?with_ldap:=no} \
	--enable-mailto \
	--with-capabilities \
	--without-included-gettext \
	--with-mailprog=/usr/sbin/sendmail

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_datadir}/gnupg/FAQ

%{__rm} -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO doc/{DETAILS,FAQ,OpenPGP}
%attr(755,root,root) %{_bindir}/gpg
%attr(755,root,root) %{_bindir}/gpg-zip
%attr(755,root,root) %{_bindir}/gpgsplit
%attr(755,root,root) %{_bindir}/gpgv
%dir %{_libexecdir}/gnupg
%dir %{_datadir}/gnupg
%{_datadir}/gnupg/options.skel
%{_mandir}/man1/gpg.1*
%{_mandir}/man1/gpg-zip.1*
%{_mandir}/man1/gpgv.1*
%{_infodir}/gnupg1.info*

%files plugin-keys_finger
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gnupg/gpgkeys_finger

%files plugin-keys_hkp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gnupg/gpgkeys_hkp

%files plugin-keys_curl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gnupg/gpgkeys_curl

%if %{with ldap}
%files plugin-keys_ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gnupg/gpgkeys_ldap
%endif

%files plugin-keys_mailto
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gnupg/gpgkeys_mailto
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnupg.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> e5decd0
- release 3 (by relup.sh)

* Thu Sep 05 2019 Marcin Krol <hawk@tld-linux.org> 6c6ca6c
- release 2

* Thu Jun 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 968e43d
- updated to 1.4.23 (fixes CVE-2018-12020)

* Sat Jul 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 4f876c0
- updated to 1.4.22 (mitigates flush+reload side-channel attack on RSA secret keys, CVE-2017-7526)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 1414680
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Wed Aug 17 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2095b3a
- up to 1.4.21; fixes CVE-2016-6313

* Thu Mar 17 2016 Jakub Bogusz <qboosh@pld-linux.org> cce71f8
- updated to 1.4.20
- updated pl.po-update patch

* Mon Mar 02 2015 Jakub Bogusz <qboosh@pld-linux.org> db44c39
- updated to 1.4.19 (fixes CVE-2014-3591, some variation of CVE-2015-0837 and some DoS)
- updated pl.po-update patch
- removed obsolete texinfo patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 615848c
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0b913ed
- updated gettext BR

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> d1040f0
- don't package gnupg(7) man here (now it's in gnupg2-common)
- release 2

* Tue Jul 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 2879b59
- updated to 1.4.18 (regression fix)

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 99087f3
- updated to 1.4.17 (DoS fix)
- updated pl.po-update patch

* Sun Dec 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 60f34d1
- updated to 1.4.16 (fixes CVE-2013-4576)
- removed obsolete configure options

* Thu Oct 10 2013 Jan Rękorajski <baggins@pld-linux.org> b181588
- up to 1.4.15, fixes CVE-2013-4402

* Fri Aug 23 2013 Jakub Bogusz <qboosh@pld-linux.org> ea90bb5
- updated to 1.4.14 (mitigates Yarom/Falkner attack on RSA secret keys)
- updated pl.po-update patch
- added texinfo patch (fixes build with texinfo 5.x)

* Wed Jan 02 2013 Jakub Bogusz <qboosh@pld-linux.org> c3aeced
- updated to 1.4.13
- Obsoletes: gnupg-plugin-idea (IDEA patent has expired, cipher has been integrated into gnupg)
- updated pl.po-update patch

* Mon Feb 27 2012 Jakub Bogusz <qboosh@pld-linux.org> c602a1c
- updated to 1.4.12
- updated pl.po-update patch

* Sun Oct 24 2010 Jakub Bogusz <qboosh@pld-linux.org> be7addf
- updated to 1.4.11
- updated pl.po-update patch (previous one applied)
- removed obsolete sparc64 patch

* Sat Aug 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 9933b90
- updated pl.po-update patch

